Bug 107441 - ddcprobe doesn't work in dual head mode
ddcprobe doesn't work in dual head mode
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
: 78659 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-17 23:08 EDT by Dan Nuffer
Modified: 2014-03-16 22:39 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-12 10:28:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Nuffer 2003-10-17 23:08:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031009

Description of problem:
Running ddcprobe when I am in dual head mode prints out the following:
 
Videocard DDC probe results
Description:  Matrox G450
Memory (MB):  32
 
Monitor DDC probe results
Monitor DDC Probe failed.

If I'm in single head or at the console, it prints out: 
 
Videocard DDC probe results
Description:  Matrox G450
Memory (MB):  32
 
Monitor DDC probe results
ID: HTCb3ba
Name: CM715
Horizontal Sync (kHZ): 30-95
Vertical Sync (HZ)  : 50-120
Width (mm): 370
Height(mm): 280


This causes redhat-config-xfree86 to incorrectly restrict the resolutions which
can be selected.

Version-Release number of selected component (if applicable):
rhpl-0.117-1

How reproducible:
Always

Steps to Reproduce:
1. Start X in dual head xinerama mode.
2. Run ddcprobe
3.
    

Actual Results:   
Videocard DDC probe results
Description:  Matrox G450
Memory (MB):  32
 
Monitor DDC probe results
Monitor DDC Probe failed.


Expected Results:   
Videocard DDC probe results
Description:  Matrox G450
Memory (MB):  32
 
Monitor DDC probe results
ID: HTCb3ba
Name: CM715
Horizontal Sync (kHZ): 30-95
Vertical Sync (HZ)  : 50-120
Width (mm): 370
Height(mm): 280


Additional info:
Comment 1 Jeremy Katz 2003-10-18 00:40:17 EDT
All of the actual probing code is in kudzu.

I'm not sure what the defined behavior for ddc probing with dual head is, though
-- it's probably largely undefined :/
Comment 2 brett bolen 2004-09-07 12:35:12 EDT
read-edid supports querying multiple monitors, so 'it'
is defined.  look at read-edid-1.4.1 and run the following:

  get-edid ddc.0 0
  get-edid ddc.1 1
  strings ddc.*

Both monitors are supported.  (lrmi -> int 10, ax=4f15, cx register
gives 'controller#').

This looks like it is not supported in kudzu ( there is no
way to specify monitor #2 in /usr/include/kudzu/ddc.h.

Also, the /var/log/XFree.0.log reports ddc for both monitors
with the nvidia proprietary drivers ( I haven't tried others).


b\375
Comment 3 brett bolen 2004-11-04 13:59:28 EST
I've added support for multiple monitors on a local copy of the debian
version of ddcprobe ( straight c -- no kudzu).
Comment 4 Jeremy Katz 2004-11-04 14:07:54 EST
Brett -- that would be interesting to see (and it should then be easy
enough to port into kudzu's copy)
Comment 5 Bill Nottingham 2005-09-23 16:14:37 EDT
Putting in NEEDINFO pending the patch.
Comment 6 Bill Nottingham 2005-09-23 16:15:46 EDT
*** Bug 78659 has been marked as a duplicate of this bug. ***
Comment 7 John Thacker 2006-10-29 17:47:26 EST
[This is a mass update sent to many bugs that missed earlier such messages due
to having their version set to a test version.]

This bug was originally filed against a version of Fedora Core which is no
longer supported, even for security updates.  Many changes have occured since
then.  Please retest this bug against a still supported version.  Note that FC3
and FC4 are supported by Fedora Legacy for security fixes only.  If
it still occurs on FC5 or FC6, please assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

This bug will be closed after a few weeks if no information is given indicating
that the bug is still present in a supported release.
Comment 8 John Thacker 2007-01-12 10:28:41 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.